<?php

/**
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <info@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types=1);

use D3\ManufacturerInformation\Application\Controller\Admin\ManufacturerInfoLongdesc;
use D3\ManufacturerInformation\Application\Model\Constants;
use D3\ManufacturerInformation\Modules\Application\Model\D3ManufacturerLongDesc;
use D3\ManufacturerInformation\Modules\Application\Model\ManufacturerInfoList;
use OxidEsales\Eshop\Application\Model\Manufacturer as OEManufacturer;
use OxidEsales\Eshop\Application\Model\ManufacturerList as OEManufacturerList;

$sMetadataVersion = '2.1';

/**
 * Module information
 */
$aModule = [
    'id'          => Constants::OXID_MODULE_ID,
	'title'         => [
		'de'        => '(D3) Herstellerinformationen',
		'en'        => '(D3) Manufacturer information',
	],
	'description' => [
        'de' => 'fügt Informationen der Hersteller zur Artikelliste hinzu',
        'en' => 'adds manufacturer information to the article list',
    ],
    'thumbnail'   => 'image-file.png',
    'version'     => '2.0.0.0',
    'author'      => '(D3) Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'https://www.oxidmodule.com/',
    'controllers' => [
		"d3manufacturerinfolongdesc" => ManufacturerInfoLongdesc::class
    ],
    'extend'      => [
		OEManufacturer::class => D3ManufacturerLongDesc::class,
	    OEManufacturerList::class => ManufacturerInfoList::class
    ],
    'templates'   => [
	    '@' . Constants::OXID_MODULE_ID . 'admin/d3manufacturerlongdesc.tpl'        => 'views/smarty/admin/d3manufacturer_longdesc.tpl',
    ],
];
